[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBCtrls' (#lcl)

# TDBEdit.GetReadOnly

Gets the value for the ReadOnly property.

## Declaration

Source position: dbctrls.pp line 191

`protected function TDBEdit.GetReadOnly: Boolean; override;`

## Function result

Value for the property.

## Description

GetReadOnly is a Boolean function used to get the value for the ReadOnly property. Read access for the property value redirected to the ReadOnly property in the internal TFieldDataLink instance used in the class.

## See also

TDBEdit.ReadOnly |  | Indicates if the control cannot modify the field in the linked dataset.
TCustomEdit.GetReadOnly |  | Gets the value for the ReadOnly property.
TDataLink.ReadOnly